Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum I3DXML.ReferenceRep.FormatType

    java.lang.Object
      java.lang.Enum<I3DXML.ReferenceRep.FormatType>
          igeo.io.I3DXML.ReferenceRep.FormatType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<I3DXML.ReferenceRep.FormatType>

Enclosing class:
  I3DXML.ReferenceRep

    public static enum I3DXML.ReferenceRep.FormatType

extends java.lang.Enum<I3DXML.ReferenceRep.FormatType>

Enum Constant Summary
`BEHAVIORAL`
`OTHER`
`TECHREP`
`TESSELLATED`
`UVR`

Method Summary
`static I3DXML.ReferenceRep.FormatType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static I3DXML.ReferenceRep.FormatType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UVR

    public static final I3DXML.ReferenceRep.FormatType UVR

### TECHREP

    public static final I3DXML.ReferenceRep.FormatType TECHREP

### TESSELLATED

    public static final I3DXML.ReferenceRep.FormatType TESSELLATED

### BEHAVIORAL

    public static final I3DXML.ReferenceRep.FormatType BEHAVIORAL

### OTHER

    public static final I3DXML.ReferenceRep.FormatType OTHER

Method Detail

### values

    public static final I3DXML.ReferenceRep.FormatType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(I3DXML.ReferenceRep.FormatType c : I3DXML.ReferenceRep.FormatType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static I3DXML.ReferenceRep.FormatType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD